#
# spec file for package qml-autoreqprov
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qml-autoreqprov
Version:        1.4.1
Release:        1.3
Summary:        Automatic dependency generator for QML files and modules
License:        GPL-3.0-or-later
Group:          Development/Tools/Building
URL:            http://www.opensuse.org
Source0:        LICENSE
Source1:        qml.attr
Source2:        qml.req
Source3:        qmldir.attr
Source4:        qmldirreqprov.sh
Source5:        README
Requires:       jq
Requires:       rpm
BuildArch:      noarch
Requires:       (libqt5-qtdeclarative-tools if libQtQuick5)
Requires:       (qmlpluginexports-qt5 if libqt5-qtdeclarative-devel)
Requires:       (qmlpluginexports-qt6 if qt6-qml-devel)
Requires:       (qt6-base-common-devel if libQt6Qml6)
Requires:       (qt6-declarative-tools if libQt6Qml6)
# Version 1.1 is not compatible with qt6-declarative < 6.2
Conflicts:      qt6-declarative-tools < 6.2.0

%description
Automatic dependency generator for QML files and modules.
If installed, rpm uses this to generate Requires of .qml files
and Provides of QML modules.

%prep
cp %{SOURCE0} .
cp %{SOURCE5} .

%build

%install
install -D -m 644 %{SOURCE1} %{buildroot}%{_rpmconfigdir}/fileattrs/qml.attr
install -D -m 755 %{SOURCE2} %{buildroot}%{_rpmconfigdir}/qml.req
install -D -m 644 %{SOURCE3} %{buildroot}%{_rpmconfigdir}/fileattrs/qmldir.attr
install -D -m 755 %{SOURCE4} %{buildroot}%{_rpmconfigdir}/qmldirreqprov.sh

%files
%license LICENSE
%doc README
%{_rpmconfigdir}/fileattrs/qml.attr
%{_rpmconfigdir}/fileattrs/qmldir.attr
%{_rpmconfigdir}/qml.req
%{_rpmconfigdir}/qmldirreqprov.sh

%changelog
* Mon Jan 22 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Bump version to 1.4.1
- qmldirreqprov.sh:
  * Only generate unversioned URI provides for Qt 6+
* Sun Jan 21 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Bump version to 1.4
- qml.req:
  * Detect Qt version based on libQtCore presence. The previous method
    broke if /usr/libexec/qtX or kf5-filesystem were present.
- qmldirreqprov.sh:
  * Generate unversioned URI provides for plugin provided imports as well
* Tue Nov 14 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Bump version to 1.3
- qml.req:
  * Use qtpaths instead of qmake
  * Generate requirements for unversioned imports
- qmldirreqprov.sh:
  * Generate provides and requirements for unversioned imports
- README.md: Fix typo
* Tue Jul 11 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Bump version to 1.2
- qmldirreqprov.sh:
  * Fix parsing of "depends"
  * Add support for "optional plugin"
- qml.req: Handle imports without minor version requirement
* Tue Oct 19 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Check for a Qt runtime directory instead of qmake to also work if
  no development packages are installed
* Tue Oct  5 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update qml.req for Qt 6.2. qmlimportscanner is now installed in
  %%_qt6_libexecdir and has no symlink in /usr/bin. qmake will be
  queried to find the install dir.
* Wed Jan 27 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Convert the opt-in for qml.req to an opt-out
* Fri Jan 15 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add a missing { to fix the relative plugin path case
* Fri Sep  8 2017 fabian@ritter-vogt.de
- Initial experiments
